// SPDX-License-Identifier: Apache-2.0
import ValidatedDomain from "../../../core/validation/ValidatedArgs";
import { SecurityDate } from "../shared/SecurityDate";
export class KycAccountData extends ValidatedDomain {
    account;
    validFrom;
    validTo;
    vcId;
    issuer;
    status;
    constructor(account, validFrom, validTo, vcId, issuer, status) {
        super({
            validTo: (val) => {
                return SecurityDate.checkDateTimestamp(parseInt(val), parseInt(this.validFrom));
            },
        });
        this.account = account;
        this.validFrom = validFrom;
        this.validTo = validTo;
        this.vcId = vcId;
        this.issuer = issuer;
        this.status = status;
        ValidatedDomain.handleValidation(KycAccountData.name, this);
    }
}
